Bug 120978 - [dri] intel i915.ko does not create /dev/dri with 965GM
Summary: [dri] intel i915.ko does not create /dev/dri with 965GM
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: Unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: Remko Lodder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-22 21:50 UTC by kamikaze
Modified: 2008-03-07 15:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2008-02-22 21:50:04 UTC
> glxinfo | grep -i rendering
direct rendering: No (If you want to find out why, try setting LIBGL_DEBUG=verbose)

This is a snippet from the Xorg.0.log:
(II) intel(0): Integrated Graphics Chipset: Intel(R) 965GM
..
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such file or directory)
drmOpenDevice: open result is -1, (No such file or directory)
drmOpenDevice: Open failed
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such file or directory)
drmOpenDevice: open result is -1, (No such file or directory)
drmOpenDevice: Open failed
[drm] failed to load kernel module "i915"
(EE) [drm] drmOpen failed.
(EE) intel(0): [dri] DRIScreenInit failed. Disabling DRI.

This is from kldstat:
13    2 0xffffffff8082f000 e640     agp.ko
23    1 0xffffffffaeec9000 4901     i915.ko
24    1 0xffffffffaeece000 cf98     drm.ko

> dmesg | grep -i agp                   1 /home/kamikaze
agp0: <Intel GM965 SVGA controller> on vgapci0
agp0: detected 7676k stolen memory
agp0: aperture size is 256M

How-To-Repeat: Try to get dri running on a notebook with 965GM Intel graphics. Mine is a HP Compaq 6510b (GR695EA#ABD) with the latest BIOS version F.10.
Comment 1 kamikaze 2008-02-22 22:09:19 UTC
Forgot to say so, I used misc, because I don't have any idea weather this is 
an Xorg (ports) or a kernel (kern) problem.
Comment 2 kamikaze 2008-02-24 21:59:01 UTC
I got it working. Ioquake3 and glxgears both work now. Changes were necessary 
in drm and in the dri port. Those are the required patches:



diff -u sys/dev/drm/drm_pciids.h.orig sys/dev/drm/drm_pciids.h
--- sys/dev/drm/drm_pciids.h.orig	2008-02-24 21:30:07.000000000 +0100
+++ sys/dev/drm/drm_pciids.h	2008-02-24 21:31:34.000000000 +0100
@@ -293,6 +293,7 @@
  	{0x8086, 0x2982, 0, "Intel i965G"}, \
  	{0x8086, 0x2992, 0, "Intel i965Q"}, \
  	{0x8086, 0x29A2, 0, "Intel i965G"}, \
+	{0x8086, 0x2A02, 0, "Intel i965GM"}, \
  	{0, 0, 0, NULL}

  #define imagine_PCI_IDS \



diff -Pur graphics/dri.orig/Makefile graphics/dri/Makefile
--- graphics/dri.orig/Makefile	2008-02-24 22:42:28.000000000 +0100
+++ graphics/dri/Makefile	2008-02-24 22:38:29.000000000 +0100
@@ -42,6 +42,7 @@
  	${INSTALL_PROGRAM} ${WRKSRC}/lib/tdfx_dri.so ${DRIMODDIR}
  .elif ${ARCH} == amd64
  	${INSTALL_PROGRAM} ${WRKSRC}/lib/i915_dri.so ${DRIMODDIR}
+	${INSTALL_PROGRAM} ${WRKSRC}/lib/i965_dri.so ${DRIMODDIR}
  .endif
  	${INSTALL_PROGRAM} ${WRKSRC}/lib/mach64_dri.so ${DRIMODDIR}
  	${INSTALL_PROGRAM} ${WRKSRC}/lib/mga_dri.so ${DRIMODDIR}
diff -Pur graphics/dri.orig/pkg-plist graphics/dri/pkg-plist
--- graphics/dri.orig/pkg-plist	2008-02-24 22:42:28.000000000 +0100
+++ graphics/dri/pkg-plist	2008-02-24 22:43:42.000000000 +0100
@@ -1,5 +1,6 @@
  %%I386%%lib/dri/i810_dri.so
  %%I386_AMD64%%lib/dri/i915_dri.so
+%%I386_AMD64%%lib/dri/i965_dri.so
  %%I386%%lib/dri/i965_dri.so
  lib/dri/mach64_dri.so
  lib/dri/mga_dri.so
Comment 3 Remko Lodder freebsd_committer 2008-02-25 07:03:57 UTC
Responsible Changed
From-To: freebsd-bugs->remko

I am already working on this one
Comment 4 dfilter service freebsd_committer 2008-02-27 10:15:05 UTC
remko       2008-02-27 10:14:58 UTC

  FreeBSD src repository

  Modified files:
    sys/dev/drm          drm_pciids.h 
  Log:
  Add support for the 965GM.
  
  PR:             kern/120978
  Submitted by:   Dominic Fandrey <kamikaze at bsdforen dot de>
  Approved by:    imp (mentor, implicit), anholt (drm maintainer)
  MFC after:      3 days
  
  Revision  Changes    Path
  1.8       +1 -0      src/sys/dev/drm/drm_pciids.h
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 kamikaze 2008-02-27 17:27:19 UTC
Thanks a lot.

Should I open a new PR for the change in graphics/dri?
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2008-02-29 02:21:38 UTC
State Changed
From-To: open->patched

Set at MFC reminder.
Comment 7 dfilter service freebsd_committer 2008-03-07 14:58:10 UTC
remko       2008-03-07 14:58:01 UTC

  FreeBSD src repository

  Modified files:        (Branch: RELENG_7)
    sys/dev/drm          drm_pciids.h 
  Log:
  MFC rev 1.8 drm_pciids.h
  
     Add support for the 965GM.
  
     PR:             kern/120978
     Submitted by:   Dominic Fandrey <kamikaze at bsdforen dot de>
     Approved by:    imp (mentor, implicit), anholt (drm maintainer)
     MFC after:      3 days
  
  Approved by:    imp (mentor, implicit)
  
  Revision  Changes    Path
  1.7.2.1   +1 -0      src/sys/dev/drm/drm_pciids.h
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2008-03-07 14:58:58 UTC
remko       2008-03-07 14:58:50 UTC

  FreeBSD src repository

  Modified files:        (Branch: RELENG_6)
    sys/dev/drm          drm_pciids.h 
  Log:
  MFC rev 1.8 drm_pciids.h
  
     Add support for the 965GM.
  
     PR:             kern/120978
     Submitted by:   Dominic Fandrey <kamikaze at bsdforen dot de>
     Approved by:    imp (mentor, implicit), anholt (drm maintainer)
     MFC after:      3 days
  
  Approved by:    imp (mentor, implicit)
  
  Revision  Changes    Path
  1.2.2.5   +1 -0      src/sys/dev/drm/drm_pciids.h
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Remko Lodder freebsd_committer 2008-03-07 14:59:28 UTC
State Changed
From-To: patched->closed

Patched in HEAD, RELENG_6 and RELENG_7, thanks for the submission!!